'use strict';

var _require = require('markup-it'),
    BLOCKS = _require.BLOCKS;

var Readme = require('../models/readme');

/**
 * Parse a readme from a document.
 * @param  {Document} document
 * @return {Readme} readme
 */
function readmeFromDocument(document) {
    var nodes = document.nodes;


    var first = nodes.first();
    var second = nodes.get(1);

    return Readme.create({
        title: first && first.type == BLOCKS.HEADING_1 ? first.text : '',
        description: second && second.type == BLOCKS.PARAGRAPH ? second.text : ''
    });
}

module.exports = readmeFromDocument;
//# sourceMappingURL=readmeFromDocument.js.map